{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}

<div class="col-md-6">
    <div class="content-box-header">
        <div class="panel-title">Add user</div>
      
      <div class="panel-options">
         
      </div>
    </div>
    <div class="content-box-large box-with-header">
            {{form_start(form,{"attr":{
                'novalidate':'novalidate'
            }})}}
   
            {{form_row(form.token)}}

            {{form_row(form.fullname)}}
   
            {{form_row(form.email)}}
   
            {{form_row(form.roles)}}
   
            {{form_row(form.aclRole)}}
   
            {{form_row(form.username)}}
   
            {{form_row(form.password)}}

            <div class="action">
                    <button class="btn btn-primary" type="submit">
                     Add
                    </button>
            </div> 
   
            {{form_end(form)}}

  </div>
</div>
<div class="col-md-6">
        <div class="content-box-header">
            <div class="panel-title">{{"Uploaded files"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header ">
          <div class="file-messages" >
    
          </div>
         <div class="js-append-files">
    
         </div>
    
      </div>
      
    </div>
    <div class="col-md-6">
        <div class="content-box-header">
            <div class="panel-title">{{"Upload files"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header">
    
       
                {{generate_dropzone(user,0,form.token.vars.value,{
                  singular:false
                })}}
              {# <form action="{{ path('files_upload') }}" method="POST" enctype="multipart/form-data" class="dropzone js-reference-dropzone">
                <input type="hidden" name="entity_id" value="{{user.id}}">
                <input type="hidden" name="entity_type" value="{{user}}">
              </form> #}
    
      </div>
    </div>
{% endblock %}
{% block scripts %}

  {{parent()}}

  <script src="{{asset('js/dropzone-generator.js')}}"></script>

{% endblock %}
